curl -X POST 'https://api.tolt.com/v1/commissions' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d '{
"amount": 1999,
"customer_id": null,
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"transaction_id": "txn_7mbzRGn46BhVgNFHD6fDgXW",
"charge_id": "ch_9bzRGn46BhVgNFHD6fDgXW",
"source": "stripe",
"revenue": 9999,
"created_at": "2025-01-15T14:30:00.000Z"
}'
{
"success": true,
"data": [
{
"id": "comm_eK9bzRGn46BhVgNFHD6fDgXW",
"revenue": null,
"charge_id": "ch_9bzRGn46BhVgNFHD6fDgXW",
"charge_status": null,
"source": "stripe",
"status": "approved",
"type": null,
"currency": null,
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"transaction_id": "txn_7mbzRGn46BhVgNFHD6fDgXW",
"customer_id": null,
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"payout_id": null,
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T14:30:00.000Z",
"amount": "1999",
"scheduled_approval_date": null,
"approval_type": "manual",
"flow_id": null
}
]
}
Commissions
Create Commission
This endpoint creates a commission.
POST
/
v1
/
commissions
curl -X POST 'https://api.tolt.com/v1/commissions' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d '{
"amount": 1999,
"customer_id": null,
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"transaction_id": "txn_7mbzRGn46BhVgNFHD6fDgXW",
"charge_id": "ch_9bzRGn46BhVgNFHD6fDgXW",
"source": "stripe",
"revenue": 9999,
"created_at": "2025-01-15T14:30:00.000Z"
}'
{
"success": true,
"data": [
{
"id": "comm_eK9bzRGn46BhVgNFHD6fDgXW",
"revenue": null,
"charge_id": "ch_9bzRGn46BhVgNFHD6fDgXW",
"charge_status": null,
"source": "stripe",
"status": "approved",
"type": null,
"currency": null,
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"transaction_id": "txn_7mbzRGn46BhVgNFHD6fDgXW",
"customer_id": null,
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"payout_id": null,
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T14:30:00.000Z",
"amount": "1999",
"scheduled_approval_date": null,
"approval_type": "manual",
"flow_id": null
}
]
}
Base URL https://api.tolt.com
Body Parameters
number
The commission amount in cents
string | null - optional
The ID of the customer associated with this commission. Omit this field or set it to
null to create a commission without a customer.string - optional
Program ID for the commission. Required when
customer_id is omitted or null.string - optional
Partner ID for the commission. Required when
customer_id is omitted or null.string - optional
Associated transaction identifier
string - optional
Associated charge identifier
string - optional
Source of the commission
string - optional
Commission status. Valid values are: ‘pending’, ‘approved’, ‘paid’,
‘rejected’, ‘refunded’. Defaults to
approved when omitted.number - optional
The revenue amount in cents
string - optional
ISO 8601 timestamp of when the commission was created
Response
boolean
Whether the request was successful
array[object]
Hide properties
Hide properties
string
Unique identifier for the commission
number
Commission amount in cents
string | null
ID of the associated customer, or null for customerless commissions
string
Associated transaction identifier
string | null
Associated charge identifier
string | null
Status of the related charge (e.g. “paid”, “failed”)
string | null
Source of the commission
string
Commission status
string | null
Type of commission (e.g. “reward”, “referral”)
string | null
Currency of the commission (ISO currency code) or null if not set
number | null
Revenue amount in cents
string
ISO 8601 timestamp of creation
string
ISO 8601 timestamp of update
string
ID of the partner who earned the commission
string
Program ID the commission belongs to
string
Organization ID
string | null
ID of the payout if the commission has been paid, otherwise null
string | null
Scheduled approval date if applicable, otherwise null
string | null
Approval type for the commission (e.g. “immediate”, “manual”)
string | null
ID of the flow that generated the commission
curl -X POST 'https://api.tolt.com/v1/commissions' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d '{
"amount": 1999,
"customer_id": null,
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"transaction_id": "txn_7mbzRGn46BhVgNFHD6fDgXW",
"charge_id": "ch_9bzRGn46BhVgNFHD6fDgXW",
"source": "stripe",
"revenue": 9999,
"created_at": "2025-01-15T14:30:00.000Z"
}'
{
"success": true,
"data": [
{
"id": "comm_eK9bzRGn46BhVgNFHD6fDgXW",
"revenue": null,
"charge_id": "ch_9bzRGn46BhVgNFHD6fDgXW",
"charge_status": null,
"source": "stripe",
"status": "approved",
"type": null,
"currency": null,
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"transaction_id": "txn_7mbzRGn46BhVgNFHD6fDgXW",
"customer_id": null,
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"payout_id": null,
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T14:30:00.000Z",
"amount": "1999",
"scheduled_approval_date": null,
"approval_type": "manual",
"flow_id": null
}
]
}

